VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::PrimitiveValue Class Reference

The `PrimitiveValue` class contains value of the constant element. More...

List of all members.

## Classes
class | Type
| The `PrimitiveValue.Type` enumerated type defines the valid types for values in constant elements. More...
## Public Member Functions
| PrimitiveValue ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.PrimitiveValue.Type | Get_Type ()
| Type of the constant value.
void | SetType (vmware.vapi.metadata.metamodel.PrimitiveValue.Type type)
| Type of the constant value.
bool | GetBooleanValue ()
| Boolean value of the constant.
void | SetBooleanValue (bool?booleanValue)
| Boolean value of the constant.
double | GetDoubleValue ()
| Double value of the constant.
void | SetDoubleValue (double?doubleValue)
| Double value of the constant.
long | GetLongValue ()
| Long value of the constant.
void | SetLongValue (long?longValue)
| Long value of the constant.
string | GetStringValue ()
| String value of the constant.
void | SetStringValue (string stringValue)
| String value of the constant.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `PrimitiveValue` class contains value of the constant element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::PrimitiveValue::PrimitiveValue | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::PrimitiveValue::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::PrimitiveValue::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::PrimitiveValue::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::PrimitiveValue::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::PrimitiveValue::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::PrimitiveValue::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.PrimitiveValue.Type vmware::vapi::metadata::metamodel::PrimitiveValue::Get_Type | ( |  | ) | `[inline]`

Type of the constant value.

bool vmware::vapi::metadata::metamodel::PrimitiveValue::GetBooleanValue | ( |  | ) | `[inline]`

Boolean value of the constant.

double vmware::vapi::metadata::metamodel::PrimitiveValue::GetDoubleValue | ( |  | ) | `[inline]`

Double value of the constant.

override int vmware::vapi::metadata::metamodel::PrimitiveValue::GetHashCode | ( |  | ) | `[inline]`

long vmware::vapi::metadata::metamodel::PrimitiveValue::GetLongValue | ( |  | ) | `[inline]`

Long value of the constant.

string vmware::vapi::metadata::metamodel::PrimitiveValue::GetStringValue | ( |  | ) | `[inline]`

String value of the constant.

void vmware::vapi::metadata::metamodel::PrimitiveValue::SetBooleanValue | ( | bool? | booleanValue | ) | `[inline]`

Boolean value of the constant.

void vmware::vapi::metadata::metamodel::PrimitiveValue::SetDoubleValue | ( | double? | doubleValue | ) | `[inline]`

Double value of the constant.

void vmware::vapi::metadata::metamodel::PrimitiveValue::SetLongValue | ( | long? | longValue | ) | `[inline]`

Long value of the constant.

void vmware::vapi::metadata::metamodel::PrimitiveValue::SetStringValue | ( | string | stringValue | ) | `[inline]`

String value of the constant.

void vmware::vapi::metadata::metamodel::PrimitiveValue::SetType | ( | vmware.vapi.metadata.metamodel.PrimitiveValue.Type | type | ) | `[inline]`

Type of the constant value.

override string vmware::vapi::metadata::metamodel::PrimitiveValue::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PrimitiveValue.cs